Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.servingxml.util
Class PooledName

    java.lang.Object
      com.servingxml.util.Name
          com.servingxml.util.PooledName

All Implemented Interfaces:
  java.lang.Comparable

    public final class PooledName

extends Name

01/05/15

Field Summary

Fields inherited from class com.servingxml.util.Name
`EMPTY`

Constructor Summary
`PooledName(NameTable nameTable, int namespaceIndex, java.lang.String localName)`

Method Summary
`int` | `compareTo(java.lang.Object o)`
`boolean` | `equals(java.lang.Object o)`
`java.lang.String` | `getLocalName()`
`java.lang.String` | `getNamespaceUri()`
`int` | `hashCode()` Returns a hash code value for this name.
`boolean` | `isEmpty()`
`java.lang.String` | `toQname(PrefixMap prefixMap)`
`java.lang.String` | `toQname(QnameContext context)`
`java.lang.String` | `toString()`
`java.lang.String` | `toUri()`

Methods inherited from class com.servingxml.util.Name
`createName, createName, createName, parse`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### PooledName

    public PooledName(NameTable nameTable,
                      int namespaceIndex,
                      java.lang.String localName)

Method Detail

### isEmpty

    public boolean isEmpty()

  Specified by:
    `isEmpty` in class `Name`

### toUri

    public java.lang.String toUri()

  Specified by:
    `toUri` in class `Name`

### getNamespaceUri

    public final java.lang.String getNamespaceUri()

  Specified by:
    `getNamespaceUri` in class `Name`

### getLocalName

    public final java.lang.String getLocalName()

  Specified by:
    `getLocalName` in class `Name`

### toQname

    public java.lang.String toQname(PrefixMap prefixMap)

  Specified by:
    `toQname` in class `Name`

### toQname

    public java.lang.String toQname(QnameContext context)

  Specified by:
    `toQname` in class `Name`

### hashCode

    public int hashCode()

  Returns a hash code value for this name.

  Overrides:
    `hashCode` in class `java.lang.Object`
  Returns:
    a hash code value for this name.

### equals

    public boolean equals(java.lang.Object o)

  Overrides:
    `equals` in class `java.lang.Object`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### compareTo

    public int compareTo(java.lang.Object o)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD